设置给定行和列的单元格数据和单位类型。 支持的平台:仅窗口 签名工 务 局: object.SetCellDataType row, col, dataType, unitType
返回值(RetVal)无返回值。 言论没有额外的评论。 例子工 务 局: Sub Example_CellManipulation() ' This example adds a table in model space and sets and gets a column name Dim MyModelSpace As AcadModelSpace Set MyModelSpace = ThisDrawing.modelSpace Dim pt(2) As Double Dim MyTable As AcadTable Dim cName As String Set MyTable = MyModelSpace.AddTable(pt, 5, 5, 10, 30) Call MyTable.SetCellDataType(2, 2, acLong, acUnitDistance) Call MyTable.SetCellFormat(1, 3, "testFormat") Call MyTable.SetCellState(4, 3, acCellStateContentLocked) Call MyTable.SetCellValue(1, 4, 5) MsgBox MyTable.GetCellValue(1, 4) & " is the test cell's value " ZoomExtents End Sub Visual LISP: (vl-load-com) (defun c:Example_CellManipulation() ;; This example adds a table in model space and sets and gets a column name (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq pt (vlax-3d-point 0 0 0)) (setq modelSpace (vla-get-ModelSpace doc)) (setq MyTable (vla-AddTable modelSpace pt 5 5 10 30)) (vla-SetCellDataType MyTable 2 2 acLong acUnitDistance) (vla-SetCellFormat MyTable 1 3 "testFormat") (vla-SetCellState MyTable 4 3 acCellStateContentLocked) (vla-SetCellValue MyTable 1 4 5) (alert (strcat (itoa (vlax-variant-value (vla-GetCellValue MyTable 1 4))) " is the test cell's value.")) (vla-ZoomExtents acadObj) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:05
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.